Name:		kfiresaver3d
Summary: 	The kfiresaver3d screensaver
Version: 	0.6
Release: 	3mdk
Source0: 	kfiresaver3d-0.6.tar.bz2
Source2:	kfiresaver-README.bz2
Patch1:		kfiresaver3d-0.6-leakfix.patch.bz2
Patch2:		kfiresaver-Makefile.patch.bz2
License:  	GPL
URL:		http://www.kde-look.org/content/show.php?content=3129
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:  kdelibs-devel
BuildRequires:  perl-MDK-Common
Requires:  	kdebase


%description
Open GL Screensaver for KDE3, showing an exceptional display of fireworks.
There are a lot of options to fully configure the screensaver including a
'shading' effect, sound, gFX, the possibility to use presets for options 
and many other things...

You will probably need video drivers that support hardware 3D acceleration
to make use of this package.

%prep

%setup  -q -nkfiresaver3d-%{version}

%patch1 -p1
%patch2 -p1

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH
#running aclocal et al breaks the building :(
#CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
                    --with-qt-dir=/usr/lib/qt3 \
                    --disable-rpath \
                    --disable-debug \
                    --libdir=%{_libdir}
%make
bzcat %{SOURCE2} > README

%install
rm -rf %buildroot
#make install DESTDIR=%buildroot
%makeinstall_std
install -d %buildroot/%_menudir


kdedesktop2mdkmenu.pl %{name} .hidden/ScreenSavers %buildroot/%_datadir/applnk/System/ScreenSavers/kfiresaver3D.desktop %buildroot/%_menudir/%{name} kde


%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root,-)
%doc README
%_menudir/*
%_bindir/kfiresaver3d
%dir %_datadir/applnk/System/
%dir %_datadir/applnk/System/ScreenSavers/
%_datadir/applnk/System/ScreenSavers/*.desktop

%_datadir/apps/kfiresaver/fw_explode.wav
%_datadir/apps/kfiresaver/kde.png
%_datadir/apps/kfiresaver/particle.bmp
%_datadir/apps/kfiresaver/tux.png


%changelog
* Tue Feb 15 2005 Danny Tholen <obiwan@mailmij.org> 0.6-3mdk
- long overdue rebuild
- patch makefile to use libGL (#2)

* Sun Jan 04 2004 Danny Tholen <obiwan@mailmij.org> 0.6-2mdk
- more spec fixes to make rpmlint happy
- Add a README

* Thu Jan 01 2004 Danny Tholen <obiwan@mailmij.org> 0.6-1mdk
- Happy new year!
- Fix for big memleak by author
- original spec adapted from Texstar
